import { MigrationInterface, QueryRunner } from "typeorm";

export class AllowCallsDefaultOff1783309000000 implements MigrationInterface {
	name = "AllowCallsDefaultOff1783309000000";

	public async up(queryRunner: QueryRunner): Promise<void> {
		await queryRunner.query(`ALTER TABLE "user_profile" ALTER COLUMN "allowCalls" SET DEFAULT false`);
	}

	public async down(queryRunner: QueryRunner): Promise<void> {
		await queryRunner.query(`ALTER TABLE "user_profile" ALTER COLUMN "allowCalls" SET DEFAULT true`);
	}
}
